Posts tagged "processing"

LiveCycle ES: SAXParseException: The processing instruction target matching “[xX][mM][lL]” is not allowed

Issue

 If you are attempting to upgrade a LC7 process in Workbench you may encounter the following error related to a SetValue QPAC:

None (Error finding upgrades: org.xml.sax.SAXParseException: 
The processing instruction target matching "[xX][mM][lL]" is not allowed.)

The SetValue QPAC is not upgraded, but other QPACs are upgraded successfully to LC ES components.

Reason

 The error is caused by the presence of the XML declaration <?xml version=”1.0″ encoding=”iso-8859-1″?> at the start of an XPath value in a SetValue expression.  The upgrade tool cannot handle this XML declaration correctly and throws the error.  If you remove this XML declaration manually before upgrading the process, it will upgrade successfully.

Solution

 This issue is fixed in Workbench ES2.  There is a patch available for LC Workbench ES 8.2.1.2, so you can contact enterprise support if you require this patch.

reference: (181105115/2403177)

VN:F [1.9.22_1171]
Was this helpful? Please rate the content.
Rating: 0.0/10 (0 votes cast)